Subject: Re: arch/powerpc/kernel/head_32.S:1106: Error: missing operand

From: Segher Boessenkool <[email-masked]>
Date: Sat, 26 May 2018 14:19:43 -0500

On Sat, May 26, 2018 at 06:35:34AM +0200, Paul Menzel wrote:
> Building the configuration created with `make tinyconfig` on the Power 8 
> system IBM S822LC with Ubuntu 18.04 fails with the error below.

>   AS      arch/powerpc/kernel/head_32.o
> arch/powerpc/kernel/head_32.S: Assembler messages:
> arch/powerpc/kernel/head_32.S:1106: Error: missing operand

You are building a 32-bit kernel for a 64-bit machine.  This is not
supported, and as you found out, does not work.

Segher